# $Revision: 1.19 $, $Date: 2012/01/22 16:22:36 $
Summary:	A pluggable command-line tool
Summary(pl.UTF-8):	Narzędzie linii poleceń z obsługą wtyczek
Name:		python-PasteScript
Version:	1.7.5
Release:	1
License:	X11/MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/P/PasteScript/PasteScript-%{version}.tar.gz
# Source0-md5:	4c72d78dcb6bb993f30536842c16af4d
URL:		http://pythonpaste.org/script/
BuildRequires:	python-Paste >= 1.3
BuildRequires:	python-PasteDeploy >= 1.3.3
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.a9.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Patch0:		%{name}-template_dir_assemble.patch
Requires:	python-Beaker >= 0.7.5
Requires:	python-FormEncode >= 0.7.0
Requires:	python-Mako >= 0.1.8
Requires:	python-Routes >= 1.7
Requires:	python-cheetah
Requires:	python-decorator >= 2.1.0
Requires:	python-nose >= 0.9.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a pluggable command-line tool. It includes some built-in
features:
- Create file layouts for packages. For instance:
   $ paste create  --template=basic_package MyPackage
  will create a setuptools-ready file layout.
- Serving up web applications, with configuration based on
  paste.deploy.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzie linii poleceń z obsługą wtyczek. Niektóre
możliwości ma wbudowane:
- tworzenie plików dla pakietów, na przykład:
   $ paste create  --template=basic_package MyPackage
  utworzy plik dla setuptools.
- możliwość użycia w aplikacjach WWW z konfiguracją opartą na
  paste.deploy.

%prep
%setup -q -n PasteScript-%{version}
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -and -not -path *templates* | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/
%attr(755,root,root) %{_bindir}/paster
%{py_sitescriptdir}/paste/script
%{py_sitescriptdir}/Paste*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog -n python-PasteScript
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PasteScript.spec,v $
Revision 1.19  2012/01/22 16:22:36  zbyniu
- up to 1.7.5

Revision 1.18  2011/01/23 20:48:13  sparky
- BR: rpm-pythonprov
- some adapterization

Revision 1.17  2010/07/16 06:40:01  arekm
- rel 1

Revision 1.16  2009/04/01 19:13:48  beorn
- Missing BRs

Revision 1.15  2009/03/29 17:24:16  beorn
- Added template_dir() patch. Tested only with Pylons 0.9.7! Needs verification in other projects

Revision 1.14  2009/03/29 16:14:53  beorn
- Up to 1.7.3

Revision 1.13  2009/02/05 23:16:01  beorn
- Group name fix

Revision 1.12  2007-09-14 18:11:16  beorn
- Missing BRs

Revision 1.11  2007/09/14 17:29:45  beorn
- Up to 1.3.6

Revision 1.10  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.8  2007/01/28 11:55:55  arekm
- up to 1.1

Revision 1.7  2006/11/17 20:33:10  radzio
- up to 1.0

Revision 1.6  2006/04/16 20:33:50  qboosh
- unified

Revision 1.5  2006/04/16 19:34:41  radzio
- better [B]R

Revision 1.4  2006/04/16 08:39:09  radzio
- update to 0.5[.1]

Revision 1.3  2006/01/30 10:20:04  qboosh
- pl

Revision 1.2  2006/01/28 19:00:44  radzio
- fix URLs

Revision 1.1  2006/01/28 18:57:16  radzio
- initial release
- TODO: polish translations, better [B]R
